<?php
/**
 *  This makes it easier to include configuration variables to other classes
 *  by simply extending the class with the Config class.  Any new variables that
 *  get added MUST have a getter as that will be the only way to retrieve a Config
 *  value if the config value needs to be used outside as it's own object.
 *  
 *  Change ALL values below to what you desire for your website.  If you did not 
 *  change the gban.sql file, then the database name will be global_ban.  Otherwise
 *  all other variables, espeically those in the database block should be changed
 *  appropriately.      
 */ 

class Config {
  /**
   * Site specific settings
   */
  var $bansPerPage = 100; // Number of bans to display on ban list page for each page (-1 show all)
  var $maxPageLinks = 2; // Number of links to show before and after selected page (IE: set at 2 you would see 1 2 ... 10 11 [12] 13 14 ... 23 24)
  var $demoRootDir = "demos"; // Folder to save demos to (folder must be relative to banned dir)
  var $demoSizeLimit = "30"; // Demo size limit in MB
  var $siteName = "My Site"; // The name of your website
  var $siteUrl = "http://www.yourdomain.com"; // Your clan/server's home page
  var $siteLogo = "logo.png"; // Found in images directory; you must save your logo to the images dir!!
  
  /**
   * SMF integration settings
   * The gban tables MUST be installed in your SMF database ($dbName = "YOUR_SMF_DB")
   * Full power admins are those with FULL ADMIN rights to the SMF boards
   * If you wish to use SMF integration you MUST install the zip under your Forums directory
   * So you will access the pages by going to Forums/banned
   */
  var $enableSmfIntegartion = false;  // Whether to enable SMF integartion
  var $memberGroup = 0; // The SMF group id that contains all your members
  var $adminGroup = 0; // The SMF group id that contains all your admins
  var $banManagerGroup = 0; // The SMF group id that contains all your ban managers
  var $fullPowerGroup = 0; // The SMF group id that is allowed full access to the GlobalBan site and admin tools
  
  /**
   * Ban specific settings
   */
  var $banMessage = "You are banned. Appeal at yourdomain.com"; // Message to display to those banned
  var $appealSite = "http://www.yourdomain.com"; // Site where user's should appeal a ban
  var $daysBanPending = 5; // Number of days to keep someone with a "pending" ban off the server (0 to let the person come back after being "banned"); this only affects "members" who do bans longer than 1 day
  var $allowAdminBans = false; // Set to true to allow the banning of admins (Default off - false)
  //var $numDemosToBan = -1; // The person uploading a demo needs to have X number of people banned from his demos before future uploads will auto-ban. (-1 is off)

  /**
   * Forum Settings
   * Very simple forum integration (Just adds a link button) 
   */
  var $enableForumLink = true;
  var $forumURL = "http://yourdomain.com/Forums"; // Link to your forums
  
  /**
   * Database Block
   */   
  var $dbName = "global_ban"; // Set the Database to access (where all gban tables are located, change if you place your gban tables in a different db)
  var $dbUserName = "gban"; // Set the Database's user name login (recommend a user with only select, insert, update, and delete privs)
  var $dbPassword = "DBUSERPASSWORD"; // Set the Database user's password login
  var $dbHostName = "localhost"; // Set the Database's host
  var $matchHash = "secretHashPassword"; // This must match the has found in the ES script (prevent's people from accessing the page outside)
  var $createUserCode = "CREATEBASICUSERCODE"; // This code must be entered for someone to create a new basic user
  var $createSuperCode = "CREATESUPERUSERCODE"; // This code must be entered for someone to create a FULL power user
  
  /**
   *  Email address of those who should get notices of when a new ban has been added
   *  or changed.   
   */ 
  var $sendEmails = false; // Send an email whenever a ban is added or updated (does not include imports)
  var $sendDemoEmails = false; // Send an email whenever a new demo is added
  var $emailFromHeader = "domain@domain.com"; // The from email address
  var $banManagerEmails = array("email@domain.com", "email2@domain.com"); // Who recieves emails when new bans are added
   
  function __construct() {
  }
  
  function Config() {  
  }
}
?>
